Pix ProcessamentoPix Processamento Docs
Endpoints da APIRelatórios

Resumo de transações

GET
/user/summary

Autorização

BearerAuth
AutorizaçãoBearer <token>

Em: header

Parâmetros de query

dateFrom?string
Formatodate-time
dateTo?string
Formatodate-time
groupBy?string
Padrão"day"
Valor em"day" | "hour"
grouped?boolean

Quando true, retorna uma série agrupada por data.

Corpo da resposta

application/json

curl --request GET \  --url 'https://api.exemplo.processamento.com/v1/user/summary' \  --header 'Authorization: Bearer $PIX_TOKEN'
{
  "totalTransactions": 42,
  "deposit": {
    "totalAmount": 1500,
    "totalTransactions": 20,
    "statuses": {
      "pending": {
        "count": 1,
        "amount": 100,
        "serviceFeeCharged": 1.5
      },
      "completed": {
        "count": 18,
        "amount": 1350,
        "serviceFeeCharged": 20
      },
      "canceled": {
        "count": 0,
        "amount": 0,
        "serviceFeeCharged": 0
      },
      "expired": {
        "count": 1,
        "amount": 50,
        "serviceFeeCharged": 0
      },
      "refunded": {
        "count": 0,
        "amount": 0,
        "serviceFeeCharged": 0
      }
    }
  },
  "withdraw": {
    "totalAmount": 800,
    "totalTransactions": 12,
    "statuses": {
      "pending": {
        "count": 0,
        "amount": 0
      },
      "completed": {
        "count": 12,
        "amount": 800
      },
      "canceled": {
        "count": 0,
        "amount": 0
      },
      "expired": {
        "count": 0,
        "amount": 0
      },
      "refunded": {
        "count": 0,
        "amount": 0
      }
    }
  },
  "commission": {
    "totalAmount": 30,
    "totalTransactions": 10,
    "statuses": {
      "pending": {
        "count": 0,
        "amount": 0
      },
      "completed": {
        "count": 10,
        "amount": 30
      },
      "canceled": {
        "count": 0,
        "amount": 0
      },
      "expired": {
        "count": 0,
        "amount": 0
      },
      "refunded": {
        "count": 0,
        "amount": 0
      }
    }
  }
}